%define upstream_name	 Catalyst-Plugin-ConfigLoader
%define upstream_version 0.34

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Load config files of various types
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Runtime) >= 5.700.800
BuildRequires: perl(Config::Any) >= 0.200.0
BuildRequires: perl(Data::Visitor) >= 0.240.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(MRO::Compat) >= 0.90.0
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module will attempt to load find and load a configuration file of
various types. Currently it supports YAML, JSON, XML, INI and Perl
formats.

To support the distinction between development and production
environments, this module will also attemp to load a local config
(e.g. myapp_local.yaml) which will override any duplicate settings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
sed -i.DOS -e 's/\r//g' Changes
sed -i.DOS -e 's/\r//g' README

%build
%__perl Makefile.PL installdirs=vendor
%make


%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Catalyst


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.340.0-7pclos2017
- rebuild against updates

